Upgrade Solaris 2.4 to 2.5/2.6 Question

Upgrade Solaris 2.4 to 2.5/2.6 Question

Post by Akira Hanga » Sat, 18 Oct 1997 04:00:00



Hello,

1) Do you have to upgrade Solaris 2.4 to 2.5 or 2.51, and then to 2.6?
Or can you upgrade directory from 2.4 to 2.6?

2) Do all the binaries compiled on 2.4 (using gcc 2.7.2.3) run on 2.5/6?

Thank you.

--
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 R&D                            Advanced Veterinary Systems
 Phone: 1(715)834-0355 x220               202 Eau Claire St
 Fax: 1(715)831-0165                   Eau Claire, WI 54701
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

 
 
 

Upgrade Solaris 2.4 to 2.5/2.6 Question

Post by Jay Sco » Tue, 21 Oct 1997 04:00:00




Quote:>Hello,

>1) Do you have to upgrade Solaris 2.4 to 2.5 or 2.51, and then to 2.6?
>Or can you upgrade directory from 2.4 to 2.6?

all of the earlier (2.5.1 and below) upgrades tried to upgrade you from
any previous release in the 2.x series.  i expect the 2.6 does, too.
therefore, i would expect that you can go from 2.4 to 2.6; certainly if
i was in your place that's what i'd try, and i'd expect it to work.

Quote:

>2) Do all the binaries compiled on 2.4 (using gcc 2.7.2.3) run on 2.5/6?

i think there have been some snags involving the way things may have
been linked.  as i understand it, a recompile will fix it.  (you
won't have to alter the code.)
--
Jay Scott               512-835-3553

Applied Research Labs, Computer Science Div.
University of Texas at Austin

 
 
 

Upgrade Solaris 2.4 to 2.5/2.6 Question

Post by Wilhelm Muelle » Sat, 25 Oct 1997 04:00:00


I did an update from 2.4 to 2.6 and encountered three annoying problems:

 -- Somehow, libXm.so got lost; I had to remove and add SUNWmfrun manually.
    If you install CDE, you'll notice this happened to you when CDE login
    fails to start during the first reboot.

 -- hotjava was installed incompletely; pkgrm/pkgadd SUNWdthj helped. You'll
    notice this when the Solaris registration service simply does nothing or
    answerbook2 will complain.

 -- more seriously, I have some funny automount maps which (ab)use the
    replication facility with something like

    * localhost,server:/export/something

    which worked since 2.3 and a lot of non-sun automounters, but now failed:
    whenever one of the listed machines is the local host (no matter by what
    name), the automounter will never look for directories on other servers.

    There's a patch for that now, patch id 105472.

-- Wilhelm

--

  ***************************************************
   Der Senator fr Bau, Verkehr und Stadtentwicklung
   Referat 43            (Dienststelle Schlachte 32)
   Wilhelm Mller             Tel: +49-421-361-10629
   Ansgaritorstra?e 2         Fax: +49-421-361-2295
   D-28195 Bremen, Germany

   Bits KeyID    Fingerprint
   2048 C2F0A2D1 B1452644 DEBB647F 94AA3DA9 01608E0A
   1024 9548B531 AE9AD94C 978ABC3F 4B25B52B 1E752137
    512 48B324ED 885C3131 DDF53740 DB7F9421 2A5431EE

 
 
 

1. Solaris 2.5 ---> Solaris 2.6 -- won't let me upgrade

I have an Ultra 1 running Solaris 2.5, and I need to upgrade to 2.6.  But
the install/upgrade process only gives me an "initial install" option.
Help!! Help!!

I have already gone through the troubleshooting process and verified that
INST_RELEASE has the proper contents and is not sym-linked anywhere.
Also, I have no metadevices, and vfstab has no invalid swap enteries,
etc.  I have even called Sun support (after all, I have a Silver
contract), and that has been no help.  They had me make a couple of
changes in vfstab related to fsck passes and such, and when that made no
difference, they had me exit the install and manually fsck /, /var, and
/usr, and then restart.  That, too, made no difference.

I have a lot of commercial and GPL licensed packages installed, and so
just going ahead with an initial install is a very last resort solution.

Has anyone else gone through the same hoops?  What finally fixed it?

Thanks much,
Rob Tanner

      _ _ _ _           _    _ _ _ _ _    
     /\_\_\_\_\        /\_\ /\_\_\_\_\_\  
    /\/_/_/_/_/       /\/_/ \/_/_/_/_/_/  QUIDQUID LATINE DICTUM SIT,
   /\/_/__\/_/ __    /\/_/    /\/_/          PROFUNDUM VIDITUR
  /\/_/_/_/_/ /\_\  /\/_/    /\/_/            
 /\/_/ \/_/  /\/_/_/\/_/    /\/_/         (Whatever is said in Latin
 \/_/  \/_/  \/_/_/_/_/     \/_/              sounds profound)

 Rob Tanner
 Manager of Systems and Communications
 Linfield College, McMinnville, OR

2. servlet

3. solaris 2.4 hangs + solaris 2.5 worth upgrading?

4. Problems with 3c589_cs

5. Upgrade Solaris 2.4 to Solaris 2.5

6. Answerbook question

7. Sparc10 solaris 2.5 to Sparc20 solaris 2.6 migration question

8. PPP

9. Upgrading Solaris to 2.6 from 2.5

10. Jumpstart Question: Solaris 2.6 vs Solaris 2.4

11. Upgrading Solaris 2.5 to 2.6

12. Solaris upgrade from 2.5 to 2.6

13. Upgrading Solaris to 2.6 from 2.5